List recurring reports
curl --request GET \
--url https://api.hellotracks.com/v1/reports/recurring \
--header 'API-Key: <api-key>'import requests
url = "https://api.hellotracks.com/v1/reports/recurring"
headers = {"API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-Key': '<api-key>'}};
fetch('https://api.hellotracks.com/v1/reports/recurring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/reports/recurring",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/reports/recurring"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hellotracks.com/v1/reports/recurring")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/reports/recurring")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"id": "6560000000000000000000c1",
"name": "Weekly jobs",
"type": "jobs",
"frame": "week",
"weekdays": 1,
"weekdayNames": [
"monday"
],
"memberIds": [
"a1b2c3"
],
"placeIds": [],
"notifyMemberIds": [
"a1b2c3"
],
"format": "xlsx",
"status": 0,
"statusText": "active",
"startDay": 20261102,
"startDate": "2026-11-02",
"savedAt": 1762070000000,
"creatorUid": "a1b2c3",
"createdAt": 1762070000000,
"createdBy": "a1b2c3",
"columns": [
{
"key": "title"
},
{
"key": "status",
"label": "State"
}
],
"options": {}
}
]
},
"error": null,
"meta": {
"path": "/v1/reports/recurring",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "Invalid Hellotracks API key."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "forbidden",
"message": "No permission."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}Reports
List recurring reports
Lists the company’s older recurring reports (not deleted). This is the older reporting API; for new work use the newer routes (GET /reports/catalog, POST /reports/preview, POST /reports/run, /reports/saved). Admins, operators and the company key may call it; workers get 403 permission_denied.
GET
/
reports
/
recurring
List recurring reports
curl --request GET \
--url https://api.hellotracks.com/v1/reports/recurring \
--header 'API-Key: <api-key>'import requests
url = "https://api.hellotracks.com/v1/reports/recurring"
headers = {"API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-Key': '<api-key>'}};
fetch('https://api.hellotracks.com/v1/reports/recurring', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/reports/recurring",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/reports/recurring"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hellotracks.com/v1/reports/recurring")
.header("API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/reports/recurring")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"id": "6560000000000000000000c1",
"name": "Weekly jobs",
"type": "jobs",
"frame": "week",
"weekdays": 1,
"weekdayNames": [
"monday"
],
"memberIds": [
"a1b2c3"
],
"placeIds": [],
"notifyMemberIds": [
"a1b2c3"
],
"format": "xlsx",
"status": 0,
"statusText": "active",
"startDay": 20261102,
"startDate": "2026-11-02",
"savedAt": 1762070000000,
"creatorUid": "a1b2c3",
"createdAt": 1762070000000,
"createdBy": "a1b2c3",
"columns": [
{
"key": "title"
},
{
"key": "status",
"label": "State"
}
],
"options": {}
}
]
},
"error": null,
"meta": {
"path": "/v1/reports/recurring",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "Invalid Hellotracks API key."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "forbidden",
"message": "No permission."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}